Subject: [Pce] draft-ietf-pce-wson-rwa-ext-05 - Shepherd review

From: Daniele Ceccarelli <[email-masked]>
Date: Mon, 5 Dec 2016 14:17:40 +0000

Dear authors, WG,

i carried the shepherd review of this document, please find below some comments and issues that should be fixed as part of the WG last call.

BR
Daniele

-          ID nits:      Summary: 14 errors (**), 0 flaws (~~), 17 warnings (==), 2 comments (--). Please note that there is a number of too long lines in the document and that the references need to be fixed (missing references, unused references, downref and outdated reference.

-          Intended Status (front page): it should be Standard Track

-          Front page: Ramon's affiliation is not properly formatted

-          Section 3: suggested change for improved readability

o   OLD

In this document, it is assumed that wavelength converters require

   electrical signal regeneration. Consequently, WSONs can be

   transparent (A transparent optical network is made up of optical

   devices that can switch but not convert from one wavelength to

   another, all within the optical domain) or translucent (3R

   regenerators are sparsely placed in the network).

o   NEW

WSONs can be transparent or translucent. A transparent optical

network is made up of optical devices that can switch but not convert

from one wavelength to another, all within the optical domain. On the

other side translucent networks include 3R regenerators sparsely placed.

In this document only wavelength converters that require electrical signal

regeneration are considered.

-          Section 3: Expand LSC at first use

-          Section 3: s/need not operate/do not need to operate

-          Section 3:

o   OLD

   Two optical paths that share a common fiber link cannot be assigned

   the same wavelength.  To do otherwise would result in both signals

   interfering with each other

o   NEW

   Two optical paths that share a common fiber link cannot be assigned

   the same wavelength otherwise both signals would interfere with each other

-          Section 3 - Figure 1: what do X and LSC stand for in the figure? Reading further it says: "If the LSC LSP induced a Forwarding Adjacency / TE link, the switching capabilities of the TE link would be [X X] where X < LSC (PSC, TDM, ...)" but it is not yet clear what it means.

-          Section 3: s/wavelength MUST be/wavelength must be

-          Section 4.1

o   OLD

   (a) By means of Explicit Label Control (ELC) where the PCE allocates

   which label to use for each interface/node along the path. in the

   sense that the allocated labels MAY appear after an interface route

   subobject.

o   NEW

   (a) By means of Explicit Label Control (ELC), where the PCE allocates

the label to be use on each interface/node along the path. In this case

  that the allocated labels may appear after an interface route sub-object.

-          Figure 3: 31 bits reserved for flags and only 1 used is a significant waste. Suggestion: whi don't you split the field into 16 reserved and 16 flags?

-          Section 4.2: Drop "to ''explicit'' and could add "The Walelngth Selection TLV MUST NOT be used when the M bit is cleared"

-          Section 4.4 s/ include/includes

-          Section 4.4 drop "however this is not a MUST".

-          Section 4.4.1: What is the X field at the beginning of the object? Type = X seems to be referring to that. Moreover indication of how to encode the "length" field is missing.

-          Section 4.4.1 :Attribute: if it can only assume 2 values why using 8 bits? If other future values can be defined I'd suggest to rephrase saying something like: "actually the following 2 values are defined....".

-          Figure 6: maybe you should add Type and Length? This TLV is encoded, ulikely the analogous WA object, using Reserved instead of flags.

-          Section 5:  the text says that link identifier and assigned wavelength fields have variable length, the figure should be updated accordingly.

-          Section 5.2: s/One new bit flag are/One new flag is

-          Section 6.2: is it still needed?

---

From: Leeyoung <[email-masked]>
Date: Mon, 5 Dec 2016 16:13:22 +0000

Hi Daniele,

Thank you very much for providing your shepherd review of this draft. We will definitely fix all the identified nits and get back to you with our responses to your comments/clarification questions.

Best regards,
Young (on behalf of co-authors/contributors).

From: Pce [mailto:[email-masked]] On Behalf Of Daniele Ceccarelli
Sent: Monday, December 05, 2016 8:18 AM
To: [email-masked]
Subject: [Pce] draft-ietf-pce-wson-rwa-ext-05 - Shepherd review

Dear authors, WG,

BR
Daniele

o   OLD

o   NEW

-          Section 3:

o   OLD

o   NEW

-          Section 4.1

o   OLD

   subobject.

o   NEW

---

From: Leeyoung <[email-masked]>
Date: Mon, 5 Dec 2016 20:19:34 +0000

Hi Daniele,

Thank you very much for providing your shepherd review. We will correct all nits identified and incorporate your comments in the revision once the WG LC has ended.

Please see inline for my comment. Please let me know if any of the provided comments is not satisfactory.

Thanks.
Young

Dear authors, WG,

BR
Daniele

YL> Will correct.

YL> Corrected.

YL> Corrected.

o   OLD

o   NEW

YL> NEW:

WSONs can be transparent or translucent. A transparent optical network is made up of optical devices that can switch but not convert from one wavelength to another, all within the optical domain. On the other hand, translucent networks include 3R regenerators that are sparsely placed. In this document, only wavelength converters that require electrical signal regeneration are considered.

YL> Corrected.

YL> Corrected.

-          Section 3:

o   OLD

o   NEW

YL> NEW: Two optical paths that share a common fiber link cannot be assigned the same wavelength; Otherwise, both signals would interfere with each other.

YL> X refers to the switching capability of I1 and I2. How about the following:

OLD:
 If the LSC LSP induced a Forwarding Adjacency / TE link, the switching capabilities of the TE link would be [X X] where X < LSC (PSC, TDM, ...).

New:
If the LSC LSP induced a Forwarding Adjacency / TE link, the switching capabilities of the TE link would be [X X] where X refers to the switching capability of I1 and I2. For example, X can be PSC, TDM, etc.

YL>> Corrected.

-          Section 4.1

o   OLD

   subobject.

o   NEW

YL>  How about:

NEW:

By means of Explicit Label Control (ELC) where the PCE allocates which label to use for each interface/node along the path.

YL> Accepted.

YL> Accepted.

YL> Corrected.

YL> accepted.

YL> Added a sentence right below Figure 5: Refer to [RFC5521] for the definition of X, Type, Length and Attribute.

YL> RFC5521 defines this field and there might be other usage of this field other than what is specified in this draft.

YL>> Accepted. Type and length added in the figure with the description:
o  Type (16 bits): The type of the TLV.
o  Length (15 bits): The length of the TLV including the Type and                                                                                     Length fields.

YL>  Corrected with . . . in the figure.

YL>  Corrected.

YL> I think so.